%define wtbindir	/usr/webtool
%define wtconfdir	/etc/webtool
%define cvstag		PKG_1_3_8

Summary:		Web-based administration tool for EnGarde Secure Linux.
Name:			WebTool
Vendor:			Guardian Digital, Inc.
Packager:		Ryan W. Maple <ryan@guardiandigital.com>
Version:		1.3
Release:		1.3.8
Copyright:		BSD and GPL
Group:			Administration/Tools

Source0:		WebTool-core-%{cvstag}-CVS.tar.gz
Source1:		webtool-binaries-%{cvstag}-CVS.tar.gz
Source2:		webtool-flexers-%{cvstag}-CVS.tar.gz
Source10:		init-webtool
Source11:		init-userpass
Source20:		pam-webtool
Source31:		cron-tripwire-2
Source40:		WebTool-cron-helper-1.1.2.4.pl
Source41:		system_backup_daily.sh
Source42:		system_backup_monthly.sh
Source43:		system_backup_weekly.sh

BuildRoot:		%{_tmppath}/%{name}-%{version}-root
BuildArchitectures:	noarch
Prereq:			chkconfig
Requires:		openssl, perl-DBD-msql-mysql, perl-Net-SSLeay
Requires:		flexbackup, mrtg


################################################################################
# The 'WebTool' package. #######################################################
%description
The GD WebTool is a web-based administration tool based on the popular Webmin
package by Jamie Cameron <jcameron@webmin.com>.  The GD WebTool can perform
many system maintenance functions, such as:

  - Package installation
  - Mail server configuration
  - DNS server configuration

It also has many new features not currently present in Webmin such as:

  - SSH and SSHD Management
  - LIDS integration

%files
  %attr(500,root,root)		/etc/cron.daily/tripwire
  %attr(700,root,root)		/etc/init.d/webtool
  %attr(500,root,root)		/usr/sbin/webtool
  %attr(500,root,root)		/usr/sbin/*flexer

  %attr(0400,root,root)		%{wtbindir}/LICENSE
  %attr(0400,root,root)		%{wtbindir}/LICENSE.GPL
  %attr(0400,root,root)		%{wtbindir}/LICENSE.WEBMIN
  %attr(0400,root,root)		%{wtbindir}/VERSION
  %attr(0400,root,root)		%{wtbindir}/chooser.cgi
  %attr(0400,root,root)		%{wtbindir}/config.cgi
  %attr(0400,root,root)		%{wtbindir}/config_save.cgi
  %attr(0400,root,root)		%{wtbindir}/group_chooser.cgi
  %attr(0400,root,root)		%{wtbindir}/guardiandigital-lib.pl
  %attr(0400,root,root)		%{wtbindir}/help.cgi
  %attr(0400,root,root)		%{wtbindir}/index.cgi
  %attr(0400,root,root)		%{wtbindir}/interface_chooser.cgi
  %attr(0400,root,root)		%{wtbindir}/lang_list.txt
  %attr(0400,root,root)		%{wtbindir}/mime.types
  %attr(0400,root,root)		%{wtbindir}/session_login.cgi
  %attr(0400,root,root)		%{wtbindir}/unconfigured
  %attr(0400,root,root)		%{wtbindir}/user_chooser.cgi
  %attr(0400,root,root)		%{wtbindir}/version
  %attr(0400,root,root)		%{wtbindir}/web-lib.pl

  %attr(0500,root,root)		%{wtbindir}/changepass.pl
  %attr(0500,root,root)		%{wtbindir}/miniserv.pl

  %dir	%attr(0500,root,root)	%{wtbindir}/images
  %attr(0400,root,root)		%{wtbindir}/images/*.gif
  %attr(0400,root,root)		%{wtbindir}/images/*.png

  %dir	%attr(0500,root,root)	%{wtbindir}/lang
  %attr(0400,root,root)		%{wtbindir}/lang/en

  # Perl Modules
  %dir	%attr(0500,root,root)	%{wtbindir}/modules
  %dir	%attr(0500,root,root)	%{wtbindir}/modules/WebTool
  %attr(0400,root,root)		%{wtbindir}/modules/WebTool.pm

  # Style sheets
  %attr(0400,root,root)		%{wtbindir}/webtool-popup.css
  %attr(0400,root,root)		%{wtbindir}/webtool-std.css


  ###
  ###  The "Security" sub-module.
  ###
  %dir	%attr(0500,root,root)	%{wtbindir}/Security
  %attr(0400,root,root)		%{wtbindir}/Security/*.cgi
  %attr(0400,root,root)		%{wtbindir}/Security/*.pl

  %dir  %attr(0500,root,root)   %{wtbindir}/Security/ids
  %attr(0400,root,root)         %{wtbindir}/Security/ids/*.cgi
  %attr(0400,root,root)         %{wtbindir}/Security/ids/*.html
  %attr(0400,root,root)         %{wtbindir}/Security/ids/*.pl
  %dir  %attr(0500,root,root)   %{wtbindir}/Security/ids/images
  %attr(0400,root,root)         %{wtbindir}/Security/ids/images/*.png

  %dir  %attr(0500,root,root)   %{wtbindir}/Security/ipsec-eval
  %attr(0400,root,root)         %{wtbindir}/Security/ipsec-eval/*.cgi
  %dir  %attr(0500,root,root)   %{wtbindir}/Security/ipsec-eval/images
  %attr(0400,root,root)         %{wtbindir}/Security/ipsec-eval/images/*.jpg

  %dir	%attr(0500,root,root)	%{wtbindir}/Security/help
  %attr(0400,root,root)		%{wtbindir}/Security/help/*.html

  %dir	%attr(0500,root,root)	%{wtbindir}/Security/lang
  %attr(0400,root,root)		%{wtbindir}/Security/lang/en

  %dir	%attr(0500,root,root)	%{wtbindir}/Security/secure_email
  %attr(0400,root,root)		%{wtbindir}/Security/secure_email/*.cgi
  %attr(0400,root,root)		%{wtbindir}/Security/secure_email/*.pl

  %dir	%attr(0500,root,root)	%{wtbindir}/Security/tripwire
  %attr(0400,root,root)		%{wtbindir}/Security/tripwire/README
  %attr(0400,root,root)		%{wtbindir}/Security/tripwire/*.cgi
  %attr(0400,root,root)		%{wtbindir}/Security/tripwire/tripwire-lib.pl
  %attr(0500,root,root)		%{wtbindir}/Security/tripwire/webtool_editor.pl

  ###
  ###  The "System Status Monitor" sub-module.
  ###
  %dir	%attr(0500,root,root)	%{wtbindir}/StatusMonitor
  %attr(0400,root,root)		%{wtbindir}/StatusMonitor/*.cgi
  %attr(0400,root,root)		%{wtbindir}/StatusMonitor/*.pl

  %dir	%attr(0500,root,root)	%{wtbindir}/StatusMonitor/help
  %attr(0400,root,root)		%{wtbindir}/StatusMonitor/help/*.html

  %dir	%attr(0500,root,root)	%{wtbindir}/StatusMonitor/mrtg
  %attr(0400,root,root)		%{wtbindir}/StatusMonitor/mrtg/*.cgi
  %attr(0400,root,root)		%{wtbindir}/StatusMonitor/mrtg/*.pl

  %dir	%attr(0500,root,root)	%{wtbindir}/StatusMonitor/proc
  %attr(0400,root,root)		%{wtbindir}/StatusMonitor/proc/*.cgi
  %attr(0400,root,root)		%{wtbindir}/StatusMonitor/proc/*.pl
  %dir	%attr(0500,root,root)	%{wtbindir}/StatusMonitor/proc/lang
  %attr(0400,root,root)		%{wtbindir}/StatusMonitor/proc/lang/en

  %dir	%attr(0500,root,root)	%{wtbindir}/StatusMonitor/servicemon
  %attr(0400,root,root)		%{wtbindir}/StatusMonitor/servicemon/*.cgi
  %attr(0400,root,root)		%{wtbindir}/StatusMonitor/servicemon/*.pl

  %dir	%attr(0500,root,root)	%{wtbindir}/StatusMonitor/syslog
  %attr(0400,root,root)		%{wtbindir}/StatusMonitor/syslog/*.cgi
  %attr(0400,root,root)		%{wtbindir}/StatusMonitor/syslog/*.pl
  %dir	%attr(0500,root,root)	%{wtbindir}/StatusMonitor/syslog/lang
  %attr(0400,root,root)		%{wtbindir}/StatusMonitor/syslog/lang/en

  ###
  ### The "EnGarde Auditing System" sub-module.
  ###
  %dir	%attr(0500,root,root)	%{wtbindir}/EAS
  %attr(0400,root,root)		%{wtbindir}/EAS/*.cgi
  %attr(0400,root,root)		%{wtbindir}/EAS/*.pl

  %dir	%attr(0500,root,root)	%{wtbindir}/EAS/lang
  %attr(0400,root,root)		%{wtbindir}/EAS/lang/*

  %dir	%attr(0500,root,root)	%{wtbindir}/EAS/mrtg
  %attr(0400,root,root)		%{wtbindir}/EAS/mrtg/*.cgi
  %attr(0400,root,root)		%{wtbindir}/EAS/mrtg/*.pl

  ###
  ###  The "System Management" sub-module.
  ###
  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager
  %attr(0400,root,root)		%{wtbindir}/SystemManager/SystemManager.pl
  %attr(0400,root,root)		%{wtbindir}/SystemManager/defaultacl
  %attr(0400,root,root)		%{wtbindir}/SystemManager/index.cgi

  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/help
  %attr(0400,root,root)		%{wtbindir}/SystemManager/help/*.html

  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/lang
  %attr(0400,root,root)		%{wtbindir}/SystemManager/lang/en

  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/bind
  %attr(0400,root,root)		%{wtbindir}/SystemManager/bind/*.cgi
  %attr(0400,root,root)		%{wtbindir}/SystemManager/bind/*.pl
  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/bind/lang
  %attr(0400,root,root)		%{wtbindir}/SystemManager/bind/lang/en

  %dir  %attr(0500,root,root)   %{wtbindir}/SystemManager/mss-eval
  %attr(0400,root,root)         %{wtbindir}/SystemManager/mss-eval/*.cgi
  %dir  %attr(0500,root,root)   %{wtbindir}/SystemManager/mss-eval/images
  %attr(0400,root,root)         %{wtbindir}/SystemManager/mss-eval/images/*.jpg

  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/network
  %attr(0400,root,root)		%{wtbindir}/SystemManager/network/*.cgi
  %attr(0400,root,root)		%{wtbindir}/SystemManager/network/*.pl

  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/postfix
  %attr(0400,root,root)		%{wtbindir}/SystemManager/postfix/*.cgi
  %attr(0400,root,root)		%{wtbindir}/SystemManager/postfix/*.pl
  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/postfix/lang
  %attr(0400,root,root)		%{wtbindir}/SystemManager/postfix/lang/en

  %dir  %attr(0500,root,root)   %{wtbindir}/SystemManager/proxy-eval
  %attr(0400,root,root)         %{wtbindir}/SystemManager/proxy-eval/*.cgi
  %dir  %attr(0500,root,root)   %{wtbindir}/SystemManager/proxy-eval/images
  %attr(0400,root,root)         %{wtbindir}/SystemManager/proxy-eval/images/*.jpg

  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/sshd
  %attr(0400,root,root)		%{wtbindir}/SystemManager/sshd/*.cgi
  %attr(0400,root,root)		%{wtbindir}/SystemManager/sshd/*.pl
  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/sshd/lang
  %attr(0400,root,root)		%{wtbindir}/SystemManager/sshd/lang/en

  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/time
  %attr(0400,root,root)		%{wtbindir}/SystemManager/time/*.cgi
  %attr(0400,root,root)		%{wtbindir}/SystemManager/time/*.pl
  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/time/lang
  %attr(0400,root,root)		%{wtbindir}/SystemManager/time/lang/en

  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/useradmin
  %attr(0400,root,root)		%{wtbindir}/SystemManager/useradmin/*.cgi
  %attr(0400,root,root)		%{wtbindir}/SystemManager/useradmin/*.pl
  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/useradmin/lang
  %attr(0400,root,root)		%{wtbindir}/SystemManager/useradmin/lang/en

  %dir	%attr(0500,root,root)	%{wtbindir}/SystemManager/vsftpd
  %attr(0400,root,root)		%{wtbindir}/SystemManager/vsftpd/*.cgi
  %attr(0400,root,root)		%{wtbindir}/SystemManager/vsftpd/*.pl


################################################################################
# The 'WebTool-SystemBackup' package. ##########################################
%package SystemBackup
Group:		Administration/Tools
Summary:	Guardian Digital's backup management system.
Requires:	WebTool, flexbackup

%description SystemBackup
The WebTool-SystemBackup package provides an automated means of receiving package
updates from Guardian Digital, Inc.

%files SystemBackup
  %attr(500,root,root)		/usr/sbin/webtool_cron_helper.pl
  %attr(500,root,root)		/etc/cron.daily/system_backup_daily.sh
  %attr(500,root,root)		/etc/cron.monthly/system_backup_monthly.sh
  %attr(500,root,root)		/etc/cron.weekly/system_backup_weekly.sh

  %dir	%attr(0500,root,root)	%{wtbindir}/SystemBackup
  %attr(0400,root,root)		%{wtbindir}/SystemBackup/*.cgi
  %attr(0400,root,root)		%{wtbindir}/SystemBackup/*.pl

  %dir	%attr(0500,root,root)	%{wtbindir}/SystemBackup/help
  %attr(0400,root,root)		%{wtbindir}/SystemBackup/help/*.html

  %dir	%attr(0500,root,root)	%{wtbindir}/SystemBackup/lang
  %attr(0400,root,root)		%{wtbindir}/SystemBackup/lang/en


################################################################################
# The 'WebTool-GDSN' package. ##################################################
%package GDSN
Group:		Administration/Tools
Summary:	Guardian Digital's secure update system using the WebTool.
Requires:	WebTool, perl-RPM

%description GDSN
The WebTool-GDSN package provides an automated means of receiving package
updates from Guardian Digital, Inc.

%files GDSN
  %dir	%attr(0500,root,root)	%{wtbindir}/GDSN
  %attr(0400,root,root)		%{wtbindir}/GDSN/*.cgi
  %attr(0400,root,root)		%{wtbindir}/GDSN/*.pl

  %dir	%attr(0500,root,root)	%{wtbindir}/GDSN/help
  %attr(0400,root,root)		%{wtbindir}/GDSN/help/*.html

  %dir	%attr(0700,root,root)	/var/cache/webtool
  %dir	%attr(0700,root,root)	/var/cache/webtool/incoming


################################################################################
# The 'WebTool-INITCONFIG' package. ############################################
%package INITCONFIG
Group:		Administration/Tools
Summary:	Initial configuration module for the GD WebTool
Requires:	WebTool

%description INITCONFIG
The WebTool-INITCONFIG package contains the files needed to perform an initial
configuration of the GD WebTool.

%files INITCONFIG
  %dir	%attr(0500,root,root)	%{wtbindir}/INITCONFIG
  %attr(0400,root,root)		%{wtbindir}/INITCONFIG/*.cgi
  %attr(0400,root,root)		%{wtbindir}/INITCONFIG/*.js
  %attr(0400,root,root)		%{wtbindir}/INITCONFIG/*.pl

  %dir	%attr(0500,root,root)	%{wtbindir}/INITCONFIG/help
  %attr(0400,root,root)		%{wtbindir}/INITCONFIG/help/*.html


################################################################################
# The 'WebTool-VHost' package. #################################################
%package VHost
Group:		Administration/Tools
Summary:	Virtual Host module for the GD WebTool
Requires:	WebTool, apache

%description VHost
The WebTool-VHost package contains the files needed to perform virtual host
management with the GD WebTool.

%files VHost
  %dir	%attr(0500,root,root)	%{wtbindir}/VHost
  %attr(0400,root,root)		%{wtbindir}/VHost/cert_enter.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/cert_gen.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/cert_index.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/change_dir.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/change_files.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/create_dir.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/create_files.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/create_group.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/create_htaccess.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/create_virt.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/csr_gen.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/delete_htaccess.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/dir_index.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/display_csr.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/do_cert_enter.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/do_cert_gen.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/do_create_group.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/do_csr_gen.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/edit_authgroup.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/edit_authuser.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/edit_defines.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/edit_dir.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/edit_files.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/edit_global.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/edit_gmime_type.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/edit_htaccess.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/edit_virt.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/edit_vserv.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/files_index.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/find_htaccess.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/htaccess.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/htaccess_index.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/index.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/list_authgroups.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/list_authusers.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/manual_form.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/manual_save.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/nv_edit.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/nv_hosts.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/reconfig.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/reconfig_form.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/restart.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/save_authgroup.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/save_authuser.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/save_defines.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/save_dir.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/save_files.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/save_global.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/save_gmime_type.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/save_htaccess.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/save_sync.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/save_virt.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/save_vserv.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/show.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/show_dir.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/show_files.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/show_htaccess.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/show_virt.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/start.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/stop.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/vhost_create.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/vhost_create_ssl.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/vhost_edit.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/virt_index.cgi
  %attr(0400,root,root)		%{wtbindir}/VHost/*.pl
  %attr(0400,root,root)		%{wtbindir}/VHost/config-redhat-linux
  %attr(0400,root,root)		%{wtbindir}/VHost/config.info
  %attr(0400,root,root)		%{wtbindir}/VHost/defaultacl
  %attr(0400,root,root)		%{wtbindir}/VHost/module.info
  %attr(0400,root,root)		%{wtbindir}/VHost/notes

  %dir	%attr(0500,root,root)	%{wtbindir}/VHost/help
  %attr(0400,root,root)		%{wtbindir}/VHost/help/*.html

  %dir	%attr(0500,root,root)	%{wtbindir}/VHost/lang
  %attr(0400,root,root)		%{wtbindir}/VHost/lang/en

  %dir	%attr(0500,root,root)	%{wtbindir}/VHost/webalizer
  %attr(0400,root,root)		%{wtbindir}/VHost/webalizer/*.cgi

  %dir	%attr(0500,root,root)	%{wtbindir}/VHost/oscommerce-eval
  %attr(0400,root,root)		%{wtbindir}/VHost/oscommerce-eval/*.cgi
  %dir	%attr(0500,root,root)	%{wtbindir}/VHost/oscommerce-eval/images
  %attr(0400,root,root)		%{wtbindir}/VHost/oscommerce-eval/images/*.jpg


################################################################################
# The 'WebTool-config' package. ################################################
%package config
Group:		Administration/Tools
Summary:	Configuration files for the GD WebTool
Requires:	WebTool

%description config
The WebTool-config package contains the configuration files for the GD WebTool.

%files config
  %attr(0600,root,root)		%config(noreplace) %{wtconfdir}/miniserv.conf
  %attr(0600,root,root)		%config(noreplace) %{wtconfdir}/miniserv.users
  %attr(0600,root,root)		%config %{wtconfdir}/config
  %attr(0600,root,root)		%config %{wtconfdir}/perl-path
  %attr(0600,root,root)		%config %{wtconfdir}/var-path
  %attr(0600,root,root)		%config %{wtconfdir}/webmin.acl
  %attr(0600,root,root)		%config %{wtconfdir}/miniserv.pem
  %attr(0600,root,root)		%config %{wtconfdir}/openssl.cnf
  %attr(0600,root,root)		%config %{wtconfdir}/version

  %dir	%attr(0500,root,root)	%{wtconfdir}/EAS
  %attr(0600,root,root)		%config(noreplace) %{wtconfdir}/EAS/config

  %dir	%attr(0500,root,root)	%{wtconfdir}/GDSN
  %attr(0600,root,root)		%config(noreplace) %{wtconfdir}/GDSN/config

  %dir	%attr(0500,root,root)	%{wtconfdir}/StatusMonitor
  %attr(0600,root,root)		%config(noreplace) %{wtconfdir}/StatusMonitor/config
  %attr(0600,root,root)		%config %{wtconfdir}/StatusMonitor/index

  %dir	%attr(0500,root,root)	%{wtconfdir}/SystemBackup
  %attr(0600,root,root)		%config(noreplace) %{wtconfdir}/SystemBackup/config

  %dir	%attr(0500,root,root)	%{wtconfdir}/SystemManager
  %attr(0600,root,root)		%config(noreplace) %{wtconfdir}/SystemManager/config
  %attr(0600,root,root)		%config %{wtconfdir}/SystemManager/admin.acl
  %attr(0600,root,root)		%config %{wtconfdir}/SystemManager/zonedef

  %dir	%attr(0500,root,root)	%{wtconfdir}/VHost
  %attr(0600,root,root)		%config %{wtconfdir}/VHost/admin.acl
  %attr(0600,root,root)		%config %{wtconfdir}/VHost/config
  %attr(0600,root,root)		%config %{wtconfdir}/VHost/site


################################################################################
# The 'WebTool-firewall' package. ##############################################
%package firewall
Group:		Administration/Tools
Summary:	WebTool frontend to firewall management
Requires:	WebTool, iptables

%description firewall
The WebTool-firewall package provides a GUI to manage firewall and
port forwarding rules.

In it's current incarnation, it will only do port forwarding.

%files firewall
  %dir	%attr(0500,root,root)	%{wtbindir}/Security/firewall
  %attr(0400,root,root)		%{wtbindir}/Security/firewall/*.cgi
  %attr(0400,root,root)		%{wtbindir}/Security/firewall/*.pl


################################################################################
# The 'WebTool-userpass' package. ##############################################
%package userpass
Group:		Administration/Tools
Summary:	User-password changing daemon for the GD WebTool.
Requires:	perl-Authen-PAM, openssl

%description userpass
The WebTool-userpass package contains the User-password changing daemon used
in conjunction with the GD WebTool.

%files userpass
  %attr(0700,root,root)		/etc/init.d/userpass
  %attr(0600,root,root)		/etc/pam.d/webtool
  %attr(0500,root,root)		/usr/sbin/userpass
  %attr(0400,root,root)		%config(noreplace) %{wtconfdir}/userpass.conf

  %dir	%attr(0500,root,root)	/usr/userpass
  %attr(0400,root,root)		/usr/userpass/*.cgi
  %attr(0400,root,root)		/usr/userpass/mime.types
  %attr(0400,root,root)		/usr/userpass/userpass-lib.pl
  %attr(0400,root,root)		/usr/userpass/version
  %attr(0400,root,root)		/usr/userpass/web-lib.pl

  %attr(0500,root,root)		/usr/userpass/userpass.pl

  %dir	%attr(0500,root,root)	/usr/userpass/help/help
  %attr(0400,root,root)		/usr/userpass/help/help/*.html

  %dir	%attr(0500,root,root)	/usr/userpass/images
  %attr(0400,root,root)		/usr/userpass/images/*.gif
  %attr(0400,root,root)		/usr/userpass/images/*.png


################################################################################
# The Dir-T Work. ##############################################################
 
%prep
/bin/tar -xzf %{SOURCE1}
/bin/tar -xzf %{SOURCE2}
%setup -q -c -n $RPM_BUILD_ROOT -T -a 0

%install

  ###  Build and install the binaries.
  cd $RPM_BUILD_DIR/webtool-binaries
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" all
  make DESTDIR=$RPM_BUILD_ROOT install

  ###  Build and install the flexers.
  cd $RPM_BUILD_DIR/webtool-flexers
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" all
  make DESTDIR=$RPM_BUILD_ROOT install

  ###  Go back into the build root.
  cd $RPM_BUILD_ROOT

  ###  Make all the directories that we need.
  mkdir -p $RPM_BUILD_ROOT/etc/{init.d,pam.d}
  mkdir -p $RPM_BUILD_ROOT/etc/{cron.daily,cron.hourly,cron.monthly,cron.weekly}
  mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin}
  mkdir -p $RPM_BUILD_ROOT/var/cache/webtool/incoming

  ###  1x:  Install initscripts.
  /usr/bin/install -m700 %{SOURCE10} $RPM_BUILD_ROOT/etc/init.d/webtool
  /usr/bin/install -m700 %{SOURCE11} $RPM_BUILD_ROOT/etc/init.d/userpass

  ###  2x:  Install PAM configuration file.
  /usr/bin/install -m600 %{SOURCE20} $RPM_BUILD_ROOT/etc/pam.d/webtool

  ###  3x:  Install cron jobs.
  /usr/bin/install -m500 %{SOURCE31} $RPM_BUILD_ROOT/etc/cron.daily/tripwire

  ###  4x:  Touch the file that will trigger INITCONFIG.
  touch $RPM_BUILD_ROOT/usr/webtool/unconfigured

  ###  5x:  Install the "Scheduled Backups" helper scripts.
  /usr/bin/install -m 500 %{SOURCE40} $RPM_BUILD_ROOT/usr/sbin/webtool_cron_helper.pl
  /usr/bin/install -m 500 %{SOURCE41} $RPM_BUILD_ROOT/etc/cron.daily/system_backup_daily.sh
  /usr/bin/install -m 500 %{SOURCE42} $RPM_BUILD_ROOT/etc/cron.monthly/system_backup_monthly.sh
  /usr/bin/install -m 500 %{SOURCE43} $RPM_BUILD_ROOT/etc/cron.weekly/system_backup_weekly.sh

  # Fixups
  mkdir -p $RPM_BUILD_ROOT/%{wtbindir}/modules/WebTool

%preun
  if [ $1 = 0 ]; then
	chkconfig --del webtool
	/etc/init.d/webtool stop > /dev/null 2>&1
  fi

%post
  /sbin/chkconfig --add webtool

  if [ $1 = 2 ]; then
	rm -f /usr/webtool/unconfigured
  fi

  if test -r /var/lock/subsys/webtool; then
	/usr/sbin/config_lids.pl --force > /dev/null 2>&1
        /etc/init.d/webtool restart > /dev/null 2>&1
  fi

%preun userpass
  if [ $1 = 0 ]; then
	chkconfig --del userpass 
	/etc/init.d/userpass stop > /dev/null 2>&1
  fi

%post userpass
  if test -r /var/lock/subsys/userpass; then
	/usr/sbin/config_lids.pl --force > /dev/null 2>&1
        /etc/init.d/userpass restart > /dev/null 2>&1
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

################################################################################
# Ye Good Ol' Changelog. #######################################################
%changelog
* Wed Apr 23 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3, Release 1.3.8
  - Update "System Overview" text with updates from Dave.

* Wed Apr 23 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3, Release 1.3.7
  - More GDSN updates (show_reminder popup, URL updates).

* Tue Apr 22 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3, Release 1.3.6
  - More GDSN updates (pulsing, activated, reminder popup, etc.)

* Tue Apr 22 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3, Release 1.3.5
  - Fix release-critical bugs in 'postfix' module.

* Tue Apr 22 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3, Release 1.3.4
  - Forgot to update %SEVERITY_MAP and %CONNECTION_ERRORS before last tagging.

* Tue Apr 22 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3, Release 1.3.3
  - Hopefully final release package.  Last GDSN bits, last bugfixes merged
    from HEAD, last eval image/text/functionality updates.

* Fri Apr 18 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3, Release 1.3.2
  - More GSDN client updates (make it work with the new GDSNv2).
  - Update eval texts with changes from Dave.
  - Only one or two remaining issues I know of.

* Tue Apr 15 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3, Release 1.3.1
  - Initial version of the WebTool v1.3 for Community 2 (Feint).
  - Pre-feint changelog removed.
  - Too many changes to summarize here, see my CVS repository for details.

* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).
